Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.client.loadbalance
Class FirstElementConnectionLoadBalancingPolicy

    java.lang.Object
      org.hornetq.api.core.client.loadbalance.FirstElementConnectionLoadBalancingPolicy

All Implemented Interfaces:
  ConnectionLoadBalancingPolicy

    public class FirstElementConnectionLoadBalancingPolicy

extends Object
implements ConnectionLoadBalancingPolicy

A `select(int)` always returns 0.

Author:
  Tim Fox Created 28 Nov 2008 10:56:59

Constructor Summary
`FirstElementConnectionLoadBalancingPolicy()`

Method Summary
`int` | `select(int max)` Returns the selected index according to the policy implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FirstElementConnectionLoadBalancingPolicy

    public FirstElementConnectionLoadBalancingPolicy()

Method Detail

### select

    public int select(int max)

  Description copied from interface: `ConnectionLoadBalancingPolicy`
  Returns the selected index according to the policy implementation.

  Specified by:
    `select` in interface `ConnectionLoadBalancingPolicy`
  Parameters:
    `max` - maximum position index that can be selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.